import os
import importlib
import pkgutil

# 获取当前包所在的目录
package_dir = os.path.dirname(__file__)

# 自动导入所有模块
for (_, module_name, _) in pkgutil.iter_modules([package_dir]):
    # 导入模块
    module = importlib.import_module(f'.{module_name}', package=__name__)
    # 将模块添加到当前包的命名空间
    globals()[module_name] = module
    # 可选：将模块名添加到 __all__
    if '__all__' not in globals():
        globals()['__all__'] = []
    globals()['__all__'].append(module_name)